#!/bin/bash
cd `dirname $0`
BIN_DIR=`pwd`
DEPLOY_DIR=`pwd`

IP=$(echo $SSH_CONNECTION | awk '{print $3}')
echo $IP

# 
# $1 方法名 deploy 发布项目
# $2 项目目录
# $3 检查的url
#
function deploy() {
    echo deploy
    sh -x $2/restart.sh
    COUNT=0
    TIMES=0
    
    while [ $COUNT -lt 1 ]; do
        echo -e ".\c"
        sleep 1
        COUNT=`curl -v "$3" | grep "success" | wc -l`
        if [ $COUNT -gt 0 ]; then
            break
        fi
        let TIMES=TIMES+1
        if [ $TIMES -gt 200 ]; then
            exit 1
        fi
    done

}
# 
# $1 方法名 restart 重启项目
# $2 项目目录
# $3 检查的url
#
function restart() {
    echo restart
    cd $2
    sh -x $2/restart.sh
    
}

# 
# $1 方法名 检查项目运行状态
# $2 url
# $3 keyword
#
function check() {
    keyword=$3
    COUNT=0
    TIMES=0
    if [ $keyword -z ]; then
        keyword="success"
    fi
    while [ $COUNT -lt 1 ]; do
        echo -e ".\c"
        sleep 1
        COUNT=`curl -v "$2" | grep $keyword | wc -l`
        if [ $COUNT -gt 0 ]; then
            break
        fi
        let TIMES=TIMES+1
        if [ $TIMES -gt 200 ]; then
            exit 1
        fi
    done
}


# $1 方法名 设置权重
# $2 虚拟主机组
# $3 weight 权重
#
function weight() {
    echo "http://172.17.255.136:8084/api/deploy/slb/controlSLB?ipStrList=$IP&vGroupId=$2&weight=$3"
    curl "http://172.17.255.136:8084/api/deploy/slb/controlSLB?ipStrList=$IP&vGroupId=$2&weight=$3"

}
# if [ "$1" -z ]; then
#     $1 = "deploy"
# fi
echo call $1
case $1 in
    deploy)
        deploy $*
        ;;
    check)
        check $*
        ;;
    weight)
        weight $*
        ;;
    restart)
        restart $*
        ;;
    error)
        exit 1
        ;;
    *)
        deploy "deploy" $*
esac



